[A109]Company Patent Simple Legal Status

get
https://connect.patsnap.com/insights-company/simple-legal-status
Try in Sandbox

Simple legal status breakdown of the company's portfolio. This tells you the proportion of patents in the portfolio that are in effect, or no longer active, which you can then use to filter by.

Please fill in the complete company_name to obtain the company analysis report.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string2020
Patent apply date to, format:yyyy
apply_start_time
string2010
Patent apply date from, format:yyyy
authority
stringCN OR EP
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status.

Example: US OR EP

company_name
string华为技术有限公司
Query the name of a single enterprise
patent_type
stringA OR B
Patent application type

A:Applications

B: Patents

U: Utility models

D: Designs

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

public_end_time
string2020
Patent publication date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
simple_legal_status
string1 OR 2
Patent simple legal status

0-Inactive

1-Active

2-Pending

220-PCT designated stage expired

n

221-PCT designated stage

999-Undetermined

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
simple_legal_status
array[ "Pending" ]
Simple legal status:

such as: Active, Pending, Inactive, Undetermined, PCT designated period, PCT designated expiration

status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "simple_legal_status": [
        "Pending"
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms